org.jetlang.remote.acceptor

## Class NioJetlangChannelHandler

- java.lang.Object
- - org.jetlang.remote.acceptor.NioJetlangChannelHandler

All Implemented Interfaces:
  org.jetlang.fibers.NioChannelHandler

    public class NioJetlangChannelHandler
    extends Object
    implements org.jetlang.fibers.NioChannelHandler

### Constructor Summary

Constructors
Constructor and Description
`NioJetlangChannelHandler(SocketChannel accept, JetlangMessageHandler session, ObjectByteReader reader, Runnable onEnd, Charset charset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkForReadTimeout(int readTimeoutInMs)`
`SelectableChannel` `getChannel()`
`int` `getInterestSet()`
`void` `onEnd()`
`boolean` `onSelect(org.jetlang.fibers.NioFiber nioFiber, org.jetlang.fibers.NioControls controls, SelectionKey key)`
`void` `onSelectorEnd()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NioJetlangChannelHandler

    public NioJetlangChannelHandler(SocketChannel accept,
                                    JetlangMessageHandler session,
                                    ObjectByteReader reader,
                                    Runnable onEnd,
                                    Charset charset)

### Method Detail

#### onSelect

    public boolean onSelect(org.jetlang.fibers.NioFiber nioFiber,
                            org.jetlang.fibers.NioControls controls,
                            SelectionKey key)

Specified by:
  `onSelect` in interface `org.jetlang.fibers.NioChannelHandler`

#### getChannel

    public SelectableChannel getChannel()

Specified by:
  `getChannel` in interface `org.jetlang.fibers.NioChannelHandler`

#### getInterestSet

    public int getInterestSet()

Specified by:
  `getInterestSet` in interface `org.jetlang.fibers.NioChannelHandler`

#### onEnd

    public void onEnd()

Specified by:
  `onEnd` in interface `org.jetlang.fibers.NioChannelHandler`

#### onSelectorEnd

    public void onSelectorEnd()

Specified by:
  `onSelectorEnd` in interface `org.jetlang.fibers.NioChannelHandler`

#### checkForReadTimeout

    public void checkForReadTimeout(int readTimeoutInMs)